summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/rapid-tunneling-server.postinst2
-rw-r--r--rapid-tunneling.spec2
2 files changed, 2 insertions, 2 deletions
diff --git a/debian/rapid-tunneling-server.postinst b/debian/rapid-tunneling-server.postinst
index a5a3541..18e8b5b 100644
--- a/debian/rapid-tunneling-server.postinst
+++ b/debian/rapid-tunneling-server.postinst
@@ -23,7 +23,7 @@ case "$1" in
useradd -d /var/lib/rapid-tunneling-server -m support 2>/dev/null || :
LINE='export PATH=$PATH:/usr/sbin'
PROFILE=/var/lib/rapid-tunneling-server/.bash_profile
- if ! fgrep -q "$LINE" $PROFILE; then echo "$LINE" >> $PROFILE; fi
+ if ! fgrep -q "$LINE" $PROFILE 2>/dev/null; then echo "$LINE" >> $PROFILE; fi
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/rapid-tunneling.spec b/rapid-tunneling.spec
index 23bff46..ff04056 100644
--- a/rapid-tunneling.spec
+++ b/rapid-tunneling.spec
@@ -50,7 +50,7 @@ fi
useradd -d /var/lib/rapid-tunneling-server -m support 2>/dev/null || :
LINE='export PATH=$PATH:/usr/sbin'
PROFILE=/var/lib/rapid-tunneling-server/.bash_profile
-if ! fgrep -q "$LINE" $PROFILE; then echo "$LINE" >> $PROFILE; fi
+if ! fgrep -q "$LINE" $PROFILE 2>/dev/null; then echo "$LINE" >> $PROFILE; fi
/sbin/chkconfig --add sshd_support
%preun server